Retrieve a release tag
GET/api/v1/workspaces/{workspace_slug}/releases/tags/{tag_id}/
Retrieves the details of an existing release tag by its ID.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
tag_id:requiredstringThe unique identifier for the release tag.
Scopes
releases.tags:read
Retrieve a release tag
bash
curl -X GET \
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/tags/tag-uuid/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \python
import requests
response = requests.get(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/tags/tag-uuid/",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/tags/tag-uuid/",
{
method: "GET",
headers: {
"X-API-Key": "your-api-key",
},
},
);
const data = await response.json();Response200
json
{
"id": "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
"created_at": "2025-03-01T10:00:00.000000Z",
"updated_at": "2025-03-05T14:30:00.000000Z",
"deleted_at": null,
"version": "2.4.0",
"description": "Spring release tag",
"commit_hash": "9fceb02d0ae598e95dc970b74767f19372d61af8",
"git_tag": "v2.4.0",
"created_by": "16c61a3a-512a-48ac-b0be-b6b46fe6f430",
"updated_by": "16c61a3a-512a-48ac-b0be-b6b46fe6f430",
"workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4",
"project": null
}
